<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ShapeContainer (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ShapeContainer (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ShapeContainer.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/ShapeContainer.html" target="_top">Frames</a>
        </li>
        <li><a href="ShapeContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface ShapeContainer" class="title">Interface ShapeContainer&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd>java.lang.Iterable&lt;S&gt;</dd>
                </dl>
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                           title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
                            title="interface in org.apache.poi.hslf.usermodel">HSLFShapeContainer</a>, <a
                            href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                            title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                            title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                            title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                            title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFNotes</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSlide</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideMaster.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSlideMaster</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTable</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTitleMaster.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTitleMaster</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFGroupShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFNotes.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFNotes</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFNotesMaster.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFNotesMaster</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSheet</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlide</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideLayout.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideLayout</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideMaster.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlideMaster</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">ShapeContainer&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span>
extends java.lang.Iterable&lt;S&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#addShape-S-">addShape</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createAutoShape--">createAutoShape</a></span>()</code>
                                    <div class="block">create a new shape with a predefined geometry and add it to this
                                        shape container
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createConnector--">createConnector</a></span>()</code>
                                    <div class="block">create a connector</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createFreeform--">createFreeform</a></span>()</code>
                                    <div class="block">create a new shape with a custom geometry</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createGroup--">createGroup</a></span>()</code>
                                    <div class="block">create a group of shapes belonging to this container</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;?,?&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>
                                    <div class="block">Create a new OLE object shape with the given pictureData as
                                        preview image
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>
                                    <div class="block">create a picture belonging to this container</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTable-int-int-">createTable</a></span>(int&nbsp;numRows,
                                    int&nbsp;numCols)</code>
                                    <div class="block">Create a new Table of the given number of rows and columns</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTextBox--">createTextBox</a></span>()</code>
                                    <div class="block">create a text box</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#getShapes--">getShapes</a></span>()</code>
                                    <div class="block">Returns an list containing all of the elements in this container
                                        in proper
                                        sequence (from first to last element).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#removeShape-S-">removeShape</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>&nbsp;shape)</code>
                                    <div class="block">Removes the specified shape from this sheet, if it is present
                                        (optional operation).
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getShapes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapes</h4>
                                <pre>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>&gt;&nbsp;getShapes()</pre>
                                <div class="block">Returns an list containing all of the elements in this container in
                                    proper
                                    sequence (from first to last element).
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an list containing all of the elements in this container in proper
                                        sequence
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addShape-org.apache.poi.sl.usermodel.Shape-">
                            <!--   -->
                        </a><a name="addShape-S-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addShape</h4>
                                <pre>void&nbsp;addShape(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="removeShape-org.apache.poi.sl.usermodel.Shape-">
                            <!--   -->
                        </a><a name="removeShape-S-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeShape</h4>
                                <pre>boolean&nbsp;removeShape(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>&nbsp;shape)</pre>
                                <div class="block">Removes the specified shape from this sheet, if it is present
                                    (optional operation). If this sheet does not contain the element,
                                    it is unchanged.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shape</code> - the shape to be removed from this sheet, if present</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><tt>true</tt> if this sheet contained the specified element</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the type of the specified
                                        shape
                                        is incompatible with this sheet (optional)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createAutoShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createAutoShape</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;&nbsp;createAutoShape()</pre>
                                <div class="block">create a new shape with a predefined geometry and add it to this
                                    shape container
                                </div>
                            </li>
                        </ul>
                        <a name="createFreeform--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFreeform</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;&nbsp;createFreeform()</pre>
                                <div class="block">create a new shape with a custom geometry</div>
                            </li>
                        </ul>
                        <a name="createTextBox--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTextBox</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;&nbsp;createTextBox()</pre>
                                <div class="block">create a text box</div>
                            </li>
                        </ul>
                        <a name="createConnector--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConnector</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;&nbsp;createConnector()</pre>
                                <div class="block">create a connector</div>
                            </li>
                        </ul>
                        <a name="createGroup--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createGroup</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;&nbsp;createGroup()</pre>
                                <div class="block">create a group of shapes belonging to this container</div>
                            </li>
                        </ul>
                        <a name="createPicture-org.apache.poi.sl.usermodel.PictureData-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPicture</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;&nbsp;createPicture(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</pre>
                                <div class="block">create a picture belonging to this container</div>
                            </li>
                        </ul>
                        <a name="createTable-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTable</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="type parameter in ShapeContainer">P</a>&gt;&nbsp;createTable(int&nbsp;numRows,
                            int&nbsp;numCols)</pre>
                                <div class="block">Create a new Table of the given number of rows and columns</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>numRows</code> - the number of rows</dd>
                                    <dd><code>numCols</code> - the number of columns</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createOleShape-org.apache.poi.sl.usermodel.PictureData-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createOleShape</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;?,?&gt;&nbsp;createOleShape(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</pre>
                                <div class="block">Create a new OLE object shape with the given pictureData as preview
                                    image
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pictureData</code> - the preview image</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ShapeContainer.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/ShapeContainer.html" target="_top">Frames</a>
        </li>
        <li><a href="ShapeContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
